# DataGridViewCollectionChangeEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Extends the [CollectionChangeEventArgs](https://docs.microsoft.com/dotnet/api/system.componentmodel.collectionchangeeventargs) class to add the internal flag RecreateNewRow.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewCollectionChangeEventArgs : CollectionChangeEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewCollectionChangeEventArgs
    Inherits CollectionChangeEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewCollectionChangeEventArgs(action, element)

Provides data for the System.Data.DataColumnCollection.CollectionChanged event.

| Name        | Type                                                                                                         | Description                                                                                               |
| ----------- | ------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------- |
| **action**  | [CollectionChangeAction](https://docs.microsoft.com/dotnet/api/system.componentmodel.collectionchangeaction) | One of the System.ComponentModel.CollectionChangeAction values that specifies how the collection changed. |
| **element** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                | The instance of the collection that changed. Usually when action = Refresh, element is null.              |

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewCollectionChangeEventArgs(action, element, recreateNewRow)

Provides data for the System.Data.DataColumnCollection.CollectionChanged event.

| Name               | Type                                                                                                         | Description                                                                                               |
| ------------------ | ------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------- |
| **action**         | [CollectionChangeAction](https://docs.microsoft.com/dotnet/api/system.componentmodel.collectionchangeaction) | One of the System.ComponentModel.CollectionChangeAction values that specifies how the collection changed. |
| **element**        | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                | The instance of the collection that changed. Usually when action = Refresh, element is null.              |
| **recreateNewRow** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                                              | Indicates whether the grid should re-create the new automatic row.                                        |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) RecreateNewRow

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Indicates whether the DataGridView should recreate the new automatic row when the collection changes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcollectionchangeeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
